/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - gconf.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */
 
#ifndef __SUSSEN_GCONF_H
#define __SUSSEN_GCONF_H

/*
 * GConf keys:
 *
 * /app/sussen
 *	
 *  hostname (string) 
 *	port (string)
 *	username (string)
 */
 

#define SUSSEN_GCONF_HOSTNAME "/apps/sussen/hostname"
#define SUSSEN_GCONF_PORT "/apps/sussen/port"
#define SUSSEN_GCONF_USERNAME "/apps/sussen/username"

void config_entry (GtkWidget *entry, GConfClient *client, const gchar *config_key, gboolean focus);
void config_entry_commit (GtkWidget *entry);

#endif
