/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - policy-callbacks.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */

#ifndef __SUSSEN_POLICY_CALLBACKS_H
#define __SUSSEN_POLICY_CALLBACKS_H

void show_policy_manager (void);
void update_server_listview (void);
void on_plugin_family_clicked (GtkTreeSelection *selection, gpointer data);
void on_plugin_toggled (GtkCellRendererToggle *cellrenderertoggle, gchar *path, gpointer user_data);
void on_plugin_family_toggled (GtkCellRendererToggle *cellrenderertoggle, gchar *path, gpointer user_data);
void on_plugin_clicked (GtkTreeSelection *selection, gpointer data);
void on_disable_all_activate (GtkWidget *widget, gpointer user_data);
void on_enable_all_activate (GtkWidget *widget, gpointer user_data);
void on_enable_all_but_dangerous_activate (GtkWidget *widget, gpointer user_data);
void on_upload_plugin_activate (GtkWidget *widget, gpointer user_data);
void on_policy_manager_save_activate (GtkWidget *widget, gpointer user_data);
void on_quit_policy_manager_activate (GtkWidget *widget, gpointer user_data);
void on_enable_dependencies_activate (GtkWidget *widget, gpointer user_data);
void on_open1_activate (GtkWidget *widget, gpointer user_data);
void on_policy_manager_save_activate (GtkWidget *widget, gpointer user_data);
void on_quit_policy_manager_activate (GtkWidget *widget, gpointer user_data);
gboolean load_policy_xml (const gchar *filename);

#endif
