/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - report.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */
 
#ifndef __SUSSEN_REPORT_H
#define __SUSSEN_REPORT_H

#define SUBNET_SORT_KEY "subnet"
#define HOST_SORT_KEY "host"
#define PORT_SORT_KEY "port"
#define SEVERITY_SORT_KEY "severity"
#define REPORT_SORT_KEY "report"

gint show_results (gint be, gint interrupted);
void on_subnet_clicked (GtkTreeSelection *selection, gpointer user_data);
void on_host_clicked (GtkTreeSelection *selection, gpointer user_data);
void on_port_clicked (GtkTreeSelection *selection, gpointer user_data);
void on_severity_clicked (GtkTreeSelection *selection, gpointer user_data);
void save_report (GtkWidget *widget, gpointer user_data);

#endif
